// $Id: feature.cc,v 1.3 2001/04/23 16:10:29 martin Exp $
// Medoosa: Support for Documentation of C++ Programs
// Master's Thesis, Faculty of Mathematics and Physics, Charles University
// Martin Vidner, 2001
// Released under the terms of the GNU General Public License.
#include "feature.h"

void MFeature::ParseProperties(list<string> &type) {
  list<string>::iterator i, e;
  i = type.begin();
  e = type.end();
  while (i != e) {
    const char * s = i->c_str();

    if (!strcmp(s, "static")) {
      _ownerScope = CLASSIFIER;
      i = type.erase(i);
    }

    else if (!strcmp(s, "auto")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "register")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "extern")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "mutable")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "inline")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "virtual")) {
      //leave it
      ++i;
    }
    else if (!strcmp(s, "explicit")) {
      //leave it
      ++i;
    }    

    else {
      // no more reserved words, done
      i = e;
    }
  }
}
