#! /usr/bin/perl -w
# $Id: mapconvert.pl,v 1.3 2001/04/23 16:10:30 martin Exp $
# Medoosa: Support for Documentation of C++ Programs
# Master's Thesis, Faculty of Mathematics and Physics, Charles University
# Martin Vidner, 2001

$base = $ARGV[0];

open HTML, ">$base-dot.html";
print HTML <<END;
<html>
<body>
<img src="$base-dot.png" usemap="#map" />
<map name="map">
END

open MAP, "$base-dot.map";
while (<MAP>) {
    m/rectangle \((\d+),(\d+)\) \((\d+),(\d+)\) (\S+) (.+)/;
    print HTML "<area alt='$6' href='$5' shape='rect' coords='$1,$4,$3,$2' />\n";
}
close MAP;

print HTML <<END;
</map>
</body>
</html>
END

close HTML;
